/***************************************************************
 * Name:    version.cpp
 * Purpose: version information and history log
 * Author:  Jens Groe
 * Created: 01-2010
 **************************************************************/

#include "version.h"

void writeHistory(wxTextCtrl *txtText) {
    wxTextAttr txtHEAD1, txtHEAD2;
    wxTextAttr txtTEXT1, txtTEXT2;

    txtHEAD1.SetTextColour(wxColour("BLUE"));
    txtHEAD1.SetFont(wxFont(12, wxFONTFAMILY_TELETYPE, wxFONTSTYLE_NORMAL, wxFONTWEIGHT_BOLD, true));

    txtHEAD2.SetTextColour(wxColour("BLACK"));
    txtHEAD2.SetFont(wxFont(10, wxFONTFAMILY_TELETYPE, wxFONTSTYLE_NORMAL, wxFONTWEIGHT_BOLD, true));

    txtTEXT1.SetTextColour(wxColour("BLACK"));
    txtTEXT1.SetFont(wxFont(10, wxFONTFAMILY_TELETYPE, wxFONTSTYLE_NORMAL, wxFONTWEIGHT_NORMAL, false));

    txtTEXT2.SetTextColour(wxColour("RED"));
    txtTEXT2.SetFont(wxFont(10, wxFONTFAMILY_TELETYPE, wxFONTSTYLE_ITALIC, wxFONTWEIGHT_BOLD, false));

    txtText->SetDefaultStyle(txtHEAD1);
    txtText->AppendText(APPNAME);
    txtText->AppendText(" - History\n");
    txtText->AppendText("\n");

    txtText->SetDefaultStyle(txtHEAD2);
    txtText->AppendText("Hardware Configuration on Kit\n");
    txtText->AppendText("\n");

    txtText->SetDefaultStyle(txtTEXT1);
    txtText->AppendText("  CY7C64356\n");
    txtText->AppendText("  OLED Novaled\n");
    txtText->AppendText("  DISPLAY S64128K Displaytech \n");
    txtText->AppendText("  2 x PE5004\n");
    txtText->AppendText("  10 x 10 Touch Matrix\n");
    txtText->AppendText("\n");

    txtText->SetDefaultStyle(txtHEAD2);
    txtText->AppendText("Version v1.0\n");
    txtText->AppendText("\n");

    txtText->SetDefaultStyle(txtTEXT1);
    txtText->AppendText("  Added Firmware from PSOC v1.0\n");
    txtText->AppendText("  Added low level display and PC functions\n");
    txtText->AppendText("\n");

    txtText->SetDefaultStyle(txtTEXT1);
    txtText->AppendText("...on development...\n");

    txtText->ScrollLines(-1);
}
