/***************************************************************
 * Name:    wxDialogs.h
 * Purpose: classes for gui dialogs
 * Author:  Joerg Eichler
 * Created: 04-2009
 **************************************************************/

#ifndef __wxDialogs__
#define __wxDialogs__

#include "wxDialogsClass.h"
#include <wx/wx.h>

#define TIMER 100

#define MAXCOM 4
#define MAXUSB 6

class CHistoryDialog : public wxHistoryDialog {
    public:
        CHistoryDialog(wxWindow *parent);
        ~CHistoryDialog();

        virtual void OnOK(wxCommandEvent &event);
        virtual void OnClose(wxCloseEvent &event);
};

class CAboutDialog : public wxAboutDialog {
    public:
        CAboutDialog(wxWindow *parent);
        ~CAboutDialog();

        virtual void OnLogo(wxMouseEvent &event);
        virtual void OnAuthor(wxMouseEvent &event);
        virtual void OnOK(wxCommandEvent &event);
        virtual void OnClose(wxCloseEvent &event);
};

#endif // __wxDialogs__
